This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 457433 - RFE : please build 3.5.9 with --enable-load-extension
RFE : please build 3.5.9 with --enable-load-extension
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 13:06 EDT by Remi Collet
Modified: 2008-09-30 01:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 01:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add -ldl to linker options (294 bytes, patch)
2008-07-31 13:06 EDT, Remi Collet
no flags Details | Diff

  None (edit)
Description Remi Collet 2008-07-31 13:06:16 EDT
Hi,

New PHP extension SQLite3 need this option (it use sqlite3_enable_load_extension
and sqlite3_load_extension fonctions)

See : http://pecl.php.net/package/sqlite3

Adding --enable-load-extension option to configure is required but not enough as
libdl is missing.

Attached patch proposal fix the link issue.
Comment 1 Remi Collet 2008-07-31 13:06:16 EDT
Created attachment 313119 [details]
Add -ldl to linker options
Comment 2 Panu Matilainen 2008-09-30 01:54:37 EDT
Ok, starting with sqlite-3.5.9-2.fc10 in rawhide, load extension is now enabled.

Note You need to log in before you can comment on or make changes to this bug.